/*----------------------------------------------------------------------------
    Styles généraux formulaire pour les commentaires
----------------------------------------------------------------------------*/

.comment-editor {
  margin: auto 15px;

  h4 {
    margin: 40px auto 10px;

    font-weight: bold;
    font-size: $fz-h4-mobile;

    border-bottom: 1px solid $gray-600;

    padding-bottom: 5px;
  }
}

.container-ajout-commentaire {
  background-color: $color-bg-fiche;

  margin: auto 15px 15px;

  padding-bottom: 25px;
}

div.section-ajout-commentaire {
  margin: auto 25px;

  form.form-commentaire {
    position: relative;

    label {
      color: $color-text-normal;

      font-size: $fz-formulaire-mobile;
    }

    .label-commentaire-text, .label-nom {
      margin-bottom: 10px;

      padding: 0;
    }

    .label-nom {
      padding-top: 15px;
    }

    input.input-form {
      margin-bottom: 20px;

      background: $color-text-normal;

      border-radius: 1px;

      width: 100%;
    }

    textarea.form-commentaire-text {
      margin-bottom: 20px;

      border-radius: 1px;

      background: $color-text-normal;

      height: 80px;
      width: 100%;
    }
  }
}


/*----------------------------------------------------------------------------
    Styles et survol pour le bouton envoyer du formulaire
----------------------------------------------------------------------------*/

button.bouton-envoyer {
  border: none;
  border-radius: 5px;

  background-color: $color-btn-normal;
  color: $color-text-normal;

  cursor: pointer;

  padding: 10px 10px;

  text-transform: uppercase;
  letter-spacing: 1px;

  font-weight: 500;
  font-size: $fz-btn-mobile;

  position: relative;
}

button.bouton-envoyer:before {
  content: '';

  display: block;

  border-radius: 3px;
  border-left: 2px solid $color-btn-border;
  border-right: 2px solid $color-btn-border;

  position: absolute;

  top: 10px;
  bottom: 10px;
  left: 50%;
  right: 50%;

  background-color: $white;
  opacity: 0;

  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  -webkit-transition-delay: 0.3s;
  transition-delay: 0.3s;
}

button.bouton-envoyer:hover,
button.bouton-envoyer.hover {
  color: $white;

  -webkit-animation: flashText 0.5s;
  animation: flashText 0.5s;
}

button.bouton-envoyer:hover:before,
button.bouton-envoyer.hover:before {
  left: 12px;
  right: 12px;

  background-color: $color-btn-secondaire;
  opacity: 0.8;
}

button.bouton-envoyer:active:before {
  background-color: $color-btn-secondaire;
  opacity: 1;

  -webkit-transition-delay: 0s;
  transition-delay: 0s;
}

@-webkit-keyframes flashText {
  0% {
    color: $color-btn-flashText;
  }
  50% {
    color: transparent;
  }
  100% {
    color: $white;
  }
}

@keyframes flashText {
  0% {
    color: $color-btn-flashText;
  }
  50% {
    color: transparent;
  }
  100% {
    color: $white;
  }
}


/*----------------------------------------------------------------------------
    Médias queries
----------------------------------------------------------------------------*/

@media screen and(min-width: $vw-medium) {
  /*Formulaire général*/
  .comment-editor {
    h4 {
      font-size: $fz-h4;
    }
  }

  div.section-ajout-commentaire {
    form.form-commentaire {
      label {
        font-size: $fz-formulaire;
      }

      textarea.form-commentaire-text {
        height: 100px;
      }
    }
  }

  /*Pour le bouton*/
  button.bouton-envoyer {
    font-size: $fz-btn-moyen;
  }
}


@media screen and(min-width: $vw-huge) {
  div.section-ajout-commentaire {
    /*Formulaire général*/
    form.form-commentaire {
      textarea.form-commentaire-text {
        height: 150px;
      }
    }
  }
}